/* ==========================================================================
 * AnonNet - Anonymous Network Project
 * --------------------------------------------------------------------------
 * Copyright (C) 2001  William Ahern
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 * ==========================================================================
 */

#ifndef _OPTIONS_H
#define _OPTIONS_H 1

#include "common.h"


typedef struct {
	char *command;
	char *config;
	char *random;
	unsigned short port;
	char *listen;
	bool daemon;
	bool foreground;
	char *user;
	char *group;
	bool usetty;
	char *tty;
	unsigned short verbosity;
	bool debug;
	bool help;
	bool license;
	bool version;
	bool track_source;
	bool track_func;
	bool track_thread;
} options_t;

options_t options;

void options_init(void);

void options_parse(int argc,char **argv);

#endif /* _OPTIONS_H */
